## golang-golang-x-net 0.0%2Bgit20201031.ff519b6%2Bdfsg

=== debian/changelog ===
golang-golang-x-net (1:0.0+git20201031.ff519b6+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sruthi Chandran <srud@debian.org>  Thu, 19 Nov 2020 00:41:42 +0530

golang-golang-x-net (1:0.0+git20201031.ff519b6+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20201031.ff519b6
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Update versioned dependencies as per go.mod
  * Remove no-upstream-changelog tag from Lintian override
    as the tag has been removed since lintian (2.5.96)
  * Refresh debian/patches/publicsuffix.patch

 -- Anthony Fok <foka@debian.org>  Thu, 05 Nov 2020 03:03:07 -0700

golang-golang-x-net (1:0.0+git20200226.491c5fc+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Thu, 29 Oct 2020 00:49:21 +0530

golang-golang-x-net (1:0.0+git20200226.491c5fc+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20200226.491c5fc
  * Removed unused-override "privacy-breach-google-plus"
    on html/testdata/go1.html
    See https://go-review.googlesource.com/c/net/+/162888

 -- Anthony Fok <foka@debian.org>  Wed, 26 Feb 2020 01:12:43 -0700

golang-golang-x-net (1:0.0+git20200219.4628272+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20200219.4628272
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.5.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 12:41:48 -0700

golang-golang-x-net (1:0.0+git20191112.2180aed+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Corrected "tab-in-license-text" lintian warning.
  * Build with "go generate":
    + new patch to prevent build-time download and use data from
      "publicsuffix" package.
    + noted use of the "publicsuffix" package in the "Built-Using" field.
  * Build-Depends += "publicsuffix".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Dec 2019 19:34:49 +1100

golang-golang-x-net (1:0.0+git20191112.2180aed+dfsg-2) unstable; urgency=medium

  * Rename source package to golang-golang-x-net
    from the erroneously named golang-golang-x-net-dev

 -- Anthony Fok <foka@debian.org>  Thu, 14 Nov 2019 04:57:08 -0700

golang-golang-x-net-dev (1:0.0+git20191112.2180aed+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20191112.2180aed
  * Drop transitional package golang-go.net-dev (Closes: #939230)
  * Update Vcs-Browser and Vcs-Git, and move git repository
    from https://salsa.debian.org/go-team/packages/golang-go.net
    to https://salsa.debian.org/go-team/packages/golang-golang-x-net
  * Bump Standards-Version to 4.4.1 (no change)
  * Exclude http2/h2demo to avoid many extraneous dependencies
  * Change build directory from "build" to "_build"
    to match default debian/rules generated by the latest dh-make-golang

 -- Anthony Fok <foka@debian.org>  Thu, 14 Nov 2019 04:41:23 -0700

golang-golang-x-net-dev (1:0.0+git20190811.74dc4d7+dfsg-1) unstable; urgency=high

  * Team upload.
  * New upstream version 0.0+git20190811.74dc4d7+dfsg
    - Include fixes for CVE-2019-9512 and CVE-2019-9514

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 17 Aug 2019 14:02:42 +0200

golang-golang-x-net-dev (1:0.0+git20190724.ca1201d+dfsg-1) unstable; urgency=medium

  [ Drew Parsons ]
  * add debian/watch

  [ Anthony Fok ]
  * Update debian/watch to handle +dfsg suffix
  * Remove Lintian override debian-watch-file-is-missing
  * Apply "cme fix dpkg" fixes:
    - Specify compatibility level with "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Remove security patches that are contained in this new upstream version,
    namely, CVE-2018-17846 and CVE-2018-17847_CVE-2018-17848.
  * Update dependencies according to go.mod: Rename golang-x-text-dev to
    golang-golang-x-text-dev, and add golang-golang-x-sys-dev

 -- Anthony Fok <foka@debian.org>  Sun, 28 Jul 2019 02:08:05 -0600

golang-golang-x-net-dev (1:0.0+git20181201.351d144+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Apply security patches (upstream commits). Closes: #911795.
    - CVE-2018-17846: commit d26f9f9a57f3fab6a695bec0d84433c2c50f8bbf
    - CVE-2018-17847, CVE-2018-17848:
      commit 4b62a64f59f73840b9ab79204c94fee61cd1ba2c

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Apr 2019 16:42:08 +0800

golang-golang-x-net-dev (1:0.0+git20181201.351d144+dfsg-2) unstable; urgency=medium

  * Remove obsolete patch for s390. Closes: #916236.

 -- Martín Ferrari <tincho@debian.org>  Fri, 14 Dec 2018 13:56:28 +0000

golang-golang-x-net-dev (1:0.0+git20181201.351d144+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0+git20181201.351d144+dfsg
    - Refresh patch
  * Use debhelper v11
  * Update team name
  * Update to Standards-Version 4.2.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 05 Dec 2018 20:49:06 +0100

golang-golang-x-net-dev (1:0.0+git20180124.0ed95ab+dfsg-2) unstable; urgency=medium

  * Team upload.
  * docs: fixed file name of README file (Closes: #903331).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Jul 2018 15:02:13 +1000

golang-golang-x-net-dev (1:0.0+git20180124.0ed95ab+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.0+git20180124.0ed95ab+dfsg
    corresponding to release-branch.go1.10 upstream
  * debian/gbp.conf: Disable pristine-tar
  * Refresh debian/golang-golang-x-net-dev.lintian-overrides

 -- Anthony Fok <foka@debian.org>  Tue, 03 Apr 2018 00:41:08 -0600

golang-golang-x-net-dev (1:0.0+git20170629.c81e7f2+dfsg-2) unstable; urgency=high

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all -dev package

  [ Martín Ferrari ]
  * Automated cme updates.
  * Update Standards-Version.
  * New lintian warnings that need to be overridden.
  * debian/rules: Remove now unneeded targets.


## golang-golang-x-net 0.0+git20210119.5f4716e+dfsg

=== http2/h2demo/Makefile ===
# Copyright 2018 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

MUTABLE_VERSION ?= latest
VERSION ?= $(shell git rev-parse --short HEAD)
IMAGE_NAME=h2demo

docker: Dockerfile
	go install golang.org/x/build/cmd/xb
	xb docker build -t golang/$(IMAGE_NAME) -f Dockerfile ../..

push-staging: docker
	go install golang.org/x/build/cmd/xb
	xb --staging docker tag golang/$(IMAGE_NAME) REPO/$(IMAGE_NAME):$(VERSION)
	xb --staging docker tag golang/$(IMAGE_NAME) REPO/$(IMAGE_NAME):latest
	xb --staging docker push REPO/$(IMAGE_NAME):$(VERSION)
	xb --staging docker push REPO/$(IMAGE_NAME):latest

push-prod: docker
	go install golang.org/x/build/cmd/xb
	xb --prod docker tag golang/$(IMAGE_NAME) REPO/$(IMAGE_NAME):$(VERSION)
	xb --prod docker tag golang/$(IMAGE_NAME) REPO/$(IMAGE_NAME):latest
	xb --prod docker push REPO/$(IMAGE_NAME):$(VERSION)
	xb --prod docker push REPO/$(IMAGE_NAME):latest

# TODO(bradfitz): add REPO subsitution in xb for the kubectl command.
deploy-prod: push-prod
	xb --prod kubectl set image deployment/h2demo-deployment h2demo=gcr.io/symbolic-datum-552/h2demo:$(VERSION)
deploy-staging: push-staging
	xb --staging kubectl set image deployment/h2demo-deployment h2demo=gcr.io/go-dashboard-dev/h2demo:$(VERSION)

FORCE:

## golang-golang-x-net 0.0%2Bgit20220728.c7608f3%2Bdfsg

=== debian/changelog ===
golang-golang-x-net (1:0.0+git20220728.c7608f3+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Build-depend explicitly on golang-any (>= 2:1.17~) as per go.mod
  * Apply patch: publicsuffix: change node table entry size to 40 bits.
    See #1020161

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 11:19:37 -0600

golang-golang-x-net (1:0.0+git20220728.c7608f3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Aug 2022 10:50:49 +0800

golang-golang-x-net (1:0.0+git20220728.c7608f3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.0+git20220728.c7608f3+dfsg (Closes: #1016349)
  * Update Homepage to golang.org
  * Bump golang-golang-x-sys to 0.0~git20220731.a90be44
  * Remove obsoleted code.google.com from package description

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 Aug 2022 04:06:53 +0800

golang-golang-x-net (1:0.0+git20220624.1bab6f3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20220624.1bab6f3+dfsg

 -- Anthony Fok <foka@debian.org>  Tue, 28 Jun 2022 06:50:46 -0600

golang-golang-x-net (1:0.0+git20220531.c960675+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20220531.c960675+dfsg
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 06:03:56 -0600

golang-golang-x-net (1:0.0+git20220225.27dd868+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20220225.27dd868+dfsg
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Refresh debian/golang-golang-x-net-dev.lintian-overrides
    to match latest Lintian output

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 21:07:49 -0600

golang-golang-x-net (1:0.0+git20211209.491a49a+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Tue, 18 Jan 2022 01:20:53 -0700

golang-golang-x-net (1:0.0+git20211209.491a49a+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.0+git20211209.491a49a+dfsg
    + CVE-2021-44716: net/http: limit growth of header canonicalization cache
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 09 Dec 2021 23:39:17 +0800

golang-golang-x-net (1:0.0+git20210805.aaa1db6+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20210805.aaa1db6
  * Remove CVE-2021-31525.patch and CVE-2021-33194.patch
    which have been applied prior to this upstream version
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 08 Aug 2021 05:00:37 -0600

golang-golang-x-net (1:0.0+git20210119.5f4716e+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Backport patch for CVE-2021-33194
    x/net/html: infinite loop in ParseFragment

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 22 May 2021 22:01:02 +0800

golang-golang-x-net (1:0.0+git20210119.5f4716e+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Backport patch for CVE-2021-31525
    net/http: ReadRequest can stack overflow due to recursion with very
    large headers. https://github.com/golang/go/issues/45710

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 08 May 2021 12:12:17 +0800

golang-golang-x-net (1:0.0+git20210119.5f4716e+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark golang-golang-x-net-dev Multi-Arch: foreign. (Closes: #980993)

  [ Anthony Fok ]
  * debian/rules: Attempt to "git restore publicsuffix/table{,_test}.go"
    in execute_after_dh_auto_clean to avoid the need to manually do so
    before subsequent "gbp buildpackage" run.

 -- Anthony Fok <foka@debian.org>  Thu, 04 Feb 2021 16:37:28 -0700

golang-golang-x-net (1:0.0+git20210119.5f4716e+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20210119.5f4716e
  * debian/control: Change Section from devel to golang
  * debian/control: Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Tue, 02 Feb 2021 15:25:13 -0700

=== debian/control ===
Source: golang-golang-x-net
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.17~),
               golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
               golang-golang-x-text-dev (>= 0.3.7),
               publicsuffix,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
Homepage: https://golang.org/x/net
XS-Go-Import-Path: golang.org/x/net

Package: golang-golang-x-net-dev
Architecture: all
Multi-Arch: foreign
Built-Using: ${my:Built-Using}
Depends: golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
         golang-golang-x-text-dev (>= 0.3.7),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Supplementary Go networking libraries
 Supplementary Go networking libraries (golang.org/x/net) not included in the
 main distribution:
 .
   - context: Package context defines the Context type, which carries
     deadlines, cancellation signals, and other request-scoped values across API
     boundaries and between processes.
   - dict: Package dict implements the Dictionary Server Protocol as defined in
     RFC 2229.
   - html: Package html implements an HTML5-compliant tokenizer and parser.
   - html/atom: Package atom provides integer codes (also known as atoms) for a
     fixed set of frequently occurring HTML strings: tag names and attribute
     keys such as "p" and "id".
   - html/charset: Package charset provides common text encodings for HTML
     documents.
   - icmp: Package icmp provides basic functions for the manipulation of
     messages used in the Internet Control Message Protocols, ICMPv4 and
     ICMPv6.
   - idna: Package idna implements IDNA2008 (Internationalized Domain Names for
     Applications), defined in RFC 5890, RFC 5891, RFC 5892, RFC 5893 and RFC
     5894.
   - internal/iana: Package iana provides protocol number resources managed by
     the Internet Assigned Numbers Authority (IANA).
   - internal/nettest: Package nettest provides utilities for IP testing.
   - ipv4: Package ipv4 implements IP-level socket options for the Internet
     Protocol version 4.
   - ipv6: Package ipv6 implements IP-level socket options for the Internet
     Protocol version 6.
   - netutil: Package netutil provides network utility functions, complementing
     the more common ones in the net package.
   - proxy: Package proxy provides support for a variety of protocols to proxy
     network data.
   - publicsuffix: Package publicsuffix provides a public suffix list based on
     data from http://publicsuffix.org/.
   - webdav: Package webdav.
   - websocket: Package websocket implements a client and server for the
     WebSocket protocol as specified in RFC 6455.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Regenerate publicsuffix table
export DH_GOLANG_GO_GENERATE := 1

# http2/h2i is cli tool
export DH_GOLANG_EXCLUDES := http2/h2i

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	# Remove tests that depends on non-free RFC spec.
	$(RM) -v _build/src/golang.org/x/net/http2/*_test.go
	$(RM) -v _build/src/golang.org/x/net/publicsuffix/table.go
	$(RM) -v _build/src/golang.org/x/net/publicsuffix/table_test.go

override_dh_auto_test:
	# Some tests require root, need -short to skip them for now.
	dh_auto_test -O--buildsystem=golang -- -short

override_dh_gencontrol:
	dh_gencontrol -v -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' publicsuffix)"

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.0+git%cd.%h, dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/golang/net.git \
HEAD debian

## golang-golang-x-net 0.0%2Bgit20221012.0b7e1fb%2Bdfsg

=== debian/changelog ===
golang-golang-x-net (1:0.0+git20221012.0b7e1fb+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Drop 0002-publicsuffix-change-node-table-entry-size-to-40-bits.patch
    which has been applied upstream.

 -- Anthony Fok <foka@debian.org>  Wed, 12 Oct 2022 11:35:38 -0600

golang-golang-x-net (1:0.0+git20221012.0b7e1fb+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0+git20221012.0b7e1fb+dfsg
    - publicsuffix: change node table entry size from 15 to 40 bits
      (from 0.0+git20221004.8021a29) to accommodate the increased size of
      publicsuffix list.  Thanks to Shengjing Zhu for forwarding the issue
      upstream and to Damien Neil for fixing the issue.
      See https://github.com/golang/go/issues/55849  (Closes: #1020161)
  * Add debian/source/lintian-overrides
    to override false-positive source-is-missing errors probably due to
    long lines in html/charset/testdata/*.html test files.
  * Drop unneeded dependency on ${shlibs:Depends}

 -- Anthony Fok <foka@debian.org>  Wed, 12 Oct 2022 11:25:10 -0600

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,7 @@
 Built-Using: ${my:Built-Using}
 Depends: golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
          golang-golang-x-text-dev (>= 0.3.7),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: Supplementary Go networking libraries
  Supplementary Go networking libraries (golang.org/x/net) not included in the
  main distribution:

## golang-golang-x-net 0.0+git20191112.2180aed+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,31 @@
 Source: golang-golang-x-net
-Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Anthony Fok <foka@debian.org>
-Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-golang,
-               golang-any (>= 2:1.17~),
-               golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
-               golang-golang-x-text-dev (>= 0.3.7),
+Section: devel
+Testsuite: autopkgtest-pkg-go
+Priority: optional
+Build-Depends: debhelper-compat (= 12),
+               dh-golang (>= 1.31~),
+               golang-any,
+               golang-golang-x-sys-dev (>= 0.0~git20190215.d0b11bd~),
+               golang-golang-x-text-dev (>= 0.3.0~),
                publicsuffix,
-Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
-Homepage: https://golang.org/x/net
+Homepage: https://godoc.org/golang.org/x/net
 XS-Go-Import-Path: golang.org/x/net
 
 Package: golang-golang-x-net-dev
 Architecture: all
-Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
-         golang-golang-x-text-dev (>= 0.3.7),
-         ${misc:Depends}
+Depends: golang-golang-x-sys-dev (>= 0.0~git20190215.d0b11bd~),
+         golang-golang-x-text-dev (>= 0.3.0~),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Supplementary Go networking libraries
  Supplementary Go networking libraries (golang.org/x/net) not included in the
  main distribution:
@@ -64,3 +63,5 @@
    - webdav: Package webdav.
    - websocket: Package websocket implements a client and server for the
      WebSocket protocol as specified in RFC 6455.
+ .
+ This repository was previously available at https://code.google.com/p/go.net/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

export DH_GOLANG_GO_GENERATE := 1

# Exclude building the unused h2i binary to avoid circular dependency
# with golang-golang-x-crypto-dev, and likewise for h2demo to avoid
# many more dependencies.
export DH_GOLANG_EXCLUDES := http2/h2i http2/h2demo

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	# Remove tests that depends on non-free RFC spec.
	rm -v _build/src/golang.org/x/net/http2/*_test.go

override_dh_auto_test:
	# Some tests require root, need -short to skip them for now.
	dh_auto_test -O--buildsystem=golang -- -short

override_dh_gencontrol:
	dh_gencontrol -v -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' publicsuffix)"

## golang-golang-x-net 0.0+git20200226.491c5fc+dfsg

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                golang-golang-x-sys-dev (>= 0.0~git20190215.d0b11bd~),
                golang-golang-x-text-dev (>= 0.3.0~),
                publicsuffix,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
 Homepage: https://godoc.org/golang.org/x/net
+Rules-Requires-Root: no
 XS-Go-Import-Path: golang.org/x/net
 
 Package: golang-golang-x-net-dev

## golang-golang-x-net 0.0+git20201031.ff519b6+dfsg

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
                golang-any,
-               golang-golang-x-sys-dev (>= 0.0~git20190215.d0b11bd~),
-               golang-golang-x-text-dev (>= 0.3.0~),
+               golang-golang-x-sys-dev (>= 0.0~git20200930.fdedc70),
+               golang-golang-x-text-dev (>= 0.3.3),
                publicsuffix,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
@@ -23,8 +23,8 @@
 Package: golang-golang-x-net-dev
 Architecture: all
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-sys-dev (>= 0.0~git20190215.d0b11bd~),
-         golang-golang-x-text-dev (>= 0.3.0~),
+Depends: golang-golang-x-sys-dev (>= 0.0~git20200930.fdedc70),
+         golang-golang-x-text-dev (>= 0.3.3),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Supplementary Go networking libraries

## golang-golang-x-net 0.0+git20210119.5f4716e+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Michael Stapelberg <stapelberg@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Anthony Fok <foka@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,7 +13,7 @@
                golang-golang-x-sys-dev (>= 0.0~git20200930.fdedc70),
                golang-golang-x-text-dev (>= 0.3.3),
                publicsuffix,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
 Homepage: https://godoc.org/golang.org/x/net
@@ -22,6 +22,7 @@
 
 Package: golang-golang-x-net-dev
 Architecture: all
+Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
 Depends: golang-golang-x-sys-dev (>= 0.0~git20200930.fdedc70),
          golang-golang-x-text-dev (>= 0.3.3),

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -v -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' publicsuffix)"
+
+execute_after_dh_auto_clean:
+	-git restore publicsuffix/table.go publicsuffix/table_test.go

## golang-golang-x-net 0.0+git20210805.aaa1db6+dfsg

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
                golang-any,
-               golang-golang-x-sys-dev (>= 0.0~git20200930.fdedc70),
-               golang-golang-x-text-dev (>= 0.3.3),
+               golang-golang-x-sys-dev (>= 0.0~git20210423.04245dc),
+               golang-golang-x-text-dev (>= 0.3.6),
                publicsuffix,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
@@ -24,8 +24,8 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-sys-dev (>= 0.0~git20200930.fdedc70),
-         golang-golang-x-text-dev (>= 0.3.3),
+Depends: golang-golang-x-sys-dev (>= 0.0~git20210423.04245dc),
+         golang-golang-x-text-dev (>= 0.3.6),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Supplementary Go networking libraries

## golang-golang-x-net 0.0+git20211209.491a49a+dfsg

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-golang-x-sys-dev (>= 0.0~git20210423.04245dc),
                golang-golang-x-text-dev (>= 0.3.6),
                publicsuffix,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
 Homepage: https://godoc.org/golang.org/x/net

## golang-golang-x-net 0.0+git20220225.27dd868+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: golang-golang-x-net
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Anthony Fok <foka@debian.org>
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.31~),
+               dh-sequence-golang,
                golang-any,
                golang-golang-x-sys-dev (>= 0.0~git20210423.04245dc),
                golang-golang-x-text-dev (>= 0.3.6),
                publicsuffix,
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
 Homepage: https://godoc.org/golang.org/x/net
-Rules-Requires-Root: no
 XS-Go-Import-Path: golang.org/x/net
 
 Package: golang-golang-x-net-dev

## golang-golang-x-net 0.0+git20220531.c960675+dfsg

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-golang-x-sys-dev (>= 0.0~git20210423.04245dc),
-               golang-golang-x-text-dev (>= 0.3.6),
+               golang-golang-x-sys-dev (>= 0.0~git20220520-bc2c85a),
+               golang-golang-x-text-dev (>= 0.3.7),
                publicsuffix,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
 Homepage: https://godoc.org/golang.org/x/net
@@ -24,8 +24,8 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-sys-dev (>= 0.0~git20210423.04245dc),
-         golang-golang-x-text-dev (>= 0.3.6),
+Depends: golang-golang-x-sys-dev (>= 0.0~git20220520-bc2c85a),
+         golang-golang-x-text-dev (>= 0.3.7),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Supplementary Go networking libraries

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export DH_GOLANG_EXCLUDES := http2/h2i http2/h2demo
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
 
 override_dh_auto_configure:
 	dh_auto_configure -O--buildsystem=golang

## golang-golang-x-net 0.0+git20220728.c7608f3+dfsg

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,21 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-golang-x-sys-dev (>= 0.0~git20220520-bc2c85a),
+               golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
                golang-golang-x-text-dev (>= 0.3.7),
                publicsuffix,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
-Homepage: https://godoc.org/golang.org/x/net
+Homepage: https://golang.org/x/net
 XS-Go-Import-Path: golang.org/x/net
 
 Package: golang-golang-x-net-dev
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-sys-dev (>= 0.0~git20220520-bc2c85a),
+Depends: golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
          golang-golang-x-text-dev (>= 0.3.7),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -65,5 +65,3 @@
    - webdav: Package webdav.
    - websocket: Package websocket implements a client and server for the
      WebSocket protocol as specified in RFC 6455.
- .
- This repository was previously available at https://code.google.com/p/go.net/

## golang-golang-x-net 0.1.0+dfsg

=== debian/changelog ===
golang-golang-x-net (1:0.1.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Switch to upstream tag version in uscan
  * New upstream version 0.1.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Oct 2022 16:51:18 +0800

## golang-golang-x-net 0.4.0+dfsg

=== debian/changelog ===
golang-golang-x-net (1:0.4.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.4.0
  * Update Standards-Version to 4.6.2 (no changes)
  * Enable most http2 tests and fix generating publicsuffix data

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 03 Jan 2023 00:04:04 +0800

## golang-golang-x-net 0.7.0+dfsg

=== debian/changelog ===
golang-golang-x-net (1:0.7.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.7.0
    + CVE-2022-41723: http2/hpack: avoid quadratic complexity in hpack decoding

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Feb 2023 15:33:24 +0800

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.17~),
                golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
                golang-golang-x-text-dev (>= 0.3.7),
                publicsuffix,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
 Homepage: https://golang.org/x/net
@@ -26,8 +26,7 @@
 Built-Using: ${my:Built-Using}
 Depends: golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
          golang-golang-x-text-dev (>= 0.3.7),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: Supplementary Go networking libraries
  Supplementary Go networking libraries (golang.org/x/net) not included in the
  main distribution:

## golang-golang-x-net 0.10.0

=== debian/changelog ===
golang-golang-x-net (1:0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Thu, 15 Jun 2023 15:45:13 -0600

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.17~),
-               golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
-               golang-golang-x-text-dev (>= 0.3.7),
+               golang-golang-x-sys-dev (>= 0.8.0),
+               golang-golang-x-term-dev (>= 0.8.0),
+               golang-golang-x-text-dev (>= 0.9.0),
                publicsuffix,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
@@ -24,8 +25,9 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-sys-dev (>= 0.0~git20220731.a90be44),
-         golang-golang-x-text-dev (>= 0.3.7),
+Depends: golang-golang-x-sys-dev (>= 0.8.0),
+         golang-golang-x-term-dev (>= 0.8.0),
+         golang-golang-x-text-dev (>= 0.9.0),
          ${misc:Depends}
 Description: Supplementary Go networking libraries
  Supplementary Go networking libraries (golang.org/x/net) not included in the

## golang-golang-x-net 0.11.0

=== debian/changelog ===
golang-golang-x-net (1:0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * Bump versioned dependencies as per go.mod, with new dependency on
    golang-golang-x-crypto-dev (>= 0.10.0), which no longer depends on
    golang-golang-x-net-dev, hence no circular dependency.

 -- Anthony Fok <foka@debian.org>  Thu, 21 Sep 2023 05:09:07 -0600

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.17~),
-               golang-golang-x-sys-dev (>= 0.8.0),
-               golang-golang-x-term-dev (>= 0.8.0),
-               golang-golang-x-text-dev (>= 0.9.0),
+               golang-golang-x-crypto-dev (>= 0.10.0),
+               golang-golang-x-sys-dev (>= 0.9.0),
+               golang-golang-x-term-dev (>= 0.9.0),
+               golang-golang-x-text-dev (>= 0.10.0),
                publicsuffix,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
@@ -25,9 +26,10 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-sys-dev (>= 0.8.0),
-         golang-golang-x-term-dev (>= 0.8.0),
-         golang-golang-x-text-dev (>= 0.9.0),
+Depends: golang-golang-x-crypto-dev (>= 0.10.0),
+         golang-golang-x-sys-dev (>= 0.9.0),
+         golang-golang-x-term-dev (>= 0.9.0),
+         golang-golang-x-text-dev (>= 0.10.0),
          ${misc:Depends}
 Description: Supplementary Go networking libraries
  Supplementary Go networking libraries (golang.org/x/net) not included in the

## golang-golang-x-net 0.15.0

=== debian/changelog ===
golang-golang-x-net (1:0.15.0-2) unstable; urgency=medium

  * Bump build-dependency publicsuffix (>= 20230804.1533)
    as golang.org/x/net v0.15.0 updated its copy of publicsuffix, especially
    "New policy for .museum, without all the SLD (Second-Level Domains)".
    (Sorry for my inadvertent and premature upload of 1:0.15.0-1!)
  * v0.13.0 fixes CVE-2023-3978: "x/net/html: text nodes outside of the
    HTML namespace improperly rendered"; see https://go.dev/issue/61615 and
    https://github.com/golang/net/commit/8ffa475fbdb33da97e8bf79cc5791ee8751fca5e
    (Closes: #1043163)

 -- Anthony Fok <foka@debian.org>  Thu, 12 Oct 2023 12:49:47 -0600

golang-golang-x-net (1:0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * Bump versioned dependencies as per go.mod
  * Remove 0001-quic-fix-testConn.uncheckedHandshake.patch
    which was backported from this version

 -- Anthony Fok <foka@debian.org>  Thu, 12 Oct 2023 01:36:09 -0600

golang-golang-x-net (1:0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Bump versioned dependencies as per go.mod
  * Backport "quic: fix testConn.uncheckedHandshake" from v0.15.0

 -- Anthony Fok <foka@debian.org>  Tue, 10 Oct 2023 05:59:28 -0600

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.17~),
-               golang-golang-x-crypto-dev (>= 0.10.0),
-               golang-golang-x-sys-dev (>= 0.9.0),
-               golang-golang-x-term-dev (>= 0.9.0),
-               golang-golang-x-text-dev (>= 0.10.0),
-               publicsuffix,
+               golang-golang-x-crypto-dev (>= 0.13.0),
+               golang-golang-x-sys-dev (>= 0.12.0),
+               golang-golang-x-term-dev (>= 0.12.0),
+               golang-golang-x-text-dev (>= 0.13.0),
+               publicsuffix (>= 20230804.1533),
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
@@ -26,10 +26,10 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-crypto-dev (>= 0.10.0),
-         golang-golang-x-sys-dev (>= 0.9.0),
-         golang-golang-x-term-dev (>= 0.9.0),
-         golang-golang-x-text-dev (>= 0.10.0),
+Depends: golang-golang-x-crypto-dev (>= 0.13.0),
+         golang-golang-x-sys-dev (>= 0.12.0),
+         golang-golang-x-term-dev (>= 0.12.0),
+         golang-golang-x-text-dev (>= 0.13.0),
          ${misc:Depends}
 Description: Supplementary Go networking libraries
  Supplementary Go networking libraries (golang.org/x/net) not included in the

## golang-golang-x-net 0.17.0+dfsg

=== debian/changelog ===
golang-golang-x-net (1:0.17.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 01 Nov 2023 02:21:21 -0600

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.17~),
-               golang-golang-x-crypto-dev (>= 0.13.0),
-               golang-golang-x-sys-dev (>= 0.12.0),
-               golang-golang-x-term-dev (>= 0.12.0),
+               golang-golang-x-crypto-dev (>= 0.14.0),
+               golang-golang-x-sys-dev (>= 0.13.0),
+               golang-golang-x-term-dev (>= 0.13.0),
                golang-golang-x-text-dev (>= 0.13.0),
                publicsuffix (>= 20230804.1533),
 Testsuite: autopkgtest-pkg-go
@@ -26,9 +26,9 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-crypto-dev (>= 0.13.0),
-         golang-golang-x-sys-dev (>= 0.12.0),
-         golang-golang-x-term-dev (>= 0.12.0),
+Depends: golang-golang-x-crypto-dev (>= 0.14.0),
+         golang-golang-x-sys-dev (>= 0.13.0),
+         golang-golang-x-term-dev (>= 0.13.0),
          golang-golang-x-text-dev (>= 0.13.0),
          ${misc:Depends}
 Description: Supplementary Go networking libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Regenerate publicsuffix table
export DH_GOLANG_GO_GENERATE := 1

# http2/h2i is cli tool
export DH_GOLANG_EXCLUDES := http2/h2i

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	# Remove tests that depends on non-free RFC spec.
	printf 'package http2\nfunc covers(string, string) {}' > _build/src/golang.org/x/net/http2/z_spec_test.go
	# Placeholder for generated file, needed by go:embed
	mkdir -p _build/src/golang.org/x/net/publicsuffix/data/
	touch $(addprefix _build/src/golang.org/x/net/publicsuffix/data/,children nodes text)

override_dh_auto_test:
	# Some tests require root, need -short to skip them for now.
	dh_auto_test -O--buildsystem=golang -- -short

override_dh_gencontrol:
	dh_gencontrol -v -- -Vmy:Built-Using="$(shell dpkg-query --show -f '$${source:Package} (=$${source:Version}),' publicsuffix)"

## golang-golang-x-net 0.19.0+dfsg

=== debian/changelog ===
golang-golang-x-net (1:0.19.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * Bump versioned dependencies as per go.mod
  * Append internal/quic/cmd to DH_GOLANG_EXCLUDES
    to avoid building the new QUIC interop test runner

 -- Anthony Fok <foka@debian.org>  Fri, 08 Dec 2023 15:15:47 -0700

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any (>= 2:1.17~),
-               golang-golang-x-crypto-dev (>= 0.14.0),
-               golang-golang-x-sys-dev (>= 0.13.0),
-               golang-golang-x-term-dev (>= 0.13.0),
-               golang-golang-x-text-dev (>= 0.13.0),
+               golang-any (>= 2:1.19~),
+               golang-golang-x-crypto-dev (>= 0.16.0),
+               golang-golang-x-sys-dev (>= 0.15.0),
+               golang-golang-x-term-dev (>= 0.15.0),
+               golang-golang-x-text-dev (>= 0.14.0),
                publicsuffix (>= 20230804.1533),
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
@@ -26,10 +26,10 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-crypto-dev (>= 0.14.0),
-         golang-golang-x-sys-dev (>= 0.13.0),
-         golang-golang-x-term-dev (>= 0.13.0),
-         golang-golang-x-text-dev (>= 0.13.0),
+Depends: golang-golang-x-crypto-dev (>= 0.16.0),
+         golang-golang-x-sys-dev (>= 0.15.0),
+         golang-golang-x-term-dev (>= 0.15.0),
+         golang-golang-x-text-dev (>= 0.14.0),
          ${misc:Depends}
 Description: Supplementary Go networking libraries
  Supplementary Go networking libraries (golang.org/x/net) not included in the

## golang-golang-x-net 0.21.0+dfsg

=== debian/changelog ===
golang-golang-x-net (1:0.21.0+dfsg-1ubuntu0.1~esm1) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service in parse function.
    - debian/patches/CVE-2024-45338.patch: Use strings.EqualFold instead of
      direct comparison and strings.ToLower in html/doctype.go,
      html/foreign.go, and html/parse.go.
    - CVE-2024-45338

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 07 Jan 2025 10:59:54 -0330

golang-golang-x-net (1:0.21.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.21.0+dfsg
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 23 Feb 2024 19:31:07 -0700

golang-golang-x-net (1:0.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.20.0+dfsg
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 29 Jan 2024 14:52:43 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-golang-x-net
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -10,9 +11,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.19~),
-               golang-golang-x-crypto-dev (>= 0.16.0),
-               golang-golang-x-sys-dev (>= 0.15.0),
-               golang-golang-x-term-dev (>= 0.15.0),
+               golang-golang-x-crypto-dev (>= 0.19.0),
+               golang-golang-x-sys-dev (>= 0.17.0),
+               golang-golang-x-term-dev (>= 0.17.0),
                golang-golang-x-text-dev (>= 0.14.0),
                publicsuffix (>= 20230804.1533),
 Testsuite: autopkgtest-pkg-go
@@ -26,9 +27,9 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-crypto-dev (>= 0.16.0),
-         golang-golang-x-sys-dev (>= 0.15.0),
-         golang-golang-x-term-dev (>= 0.15.0),
+Depends: golang-golang-x-crypto-dev (>= 0.19.0),
+         golang-golang-x-sys-dev (>= 0.17.0),
+         golang-golang-x-term-dev (>= 0.17.0),
          golang-golang-x-text-dev (>= 0.14.0),
          ${misc:Depends}
 Description: Supplementary Go networking libraries

## golang-golang-x-net 0.24.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-golang-x-net
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -10,14 +9,14 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any (>= 2:1.19~),
-               golang-golang-x-crypto-dev (>= 0.19.0),
-               golang-golang-x-sys-dev (>= 0.17.0),
-               golang-golang-x-term-dev (>= 0.17.0),
+               golang-any (>= 2:1.18~),
+               golang-golang-x-crypto-dev (>= 0.22.0),
+               golang-golang-x-sys-dev (>= 0.19.0),
+               golang-golang-x-term-dev (>= 0.19.0),
                golang-golang-x-text-dev (>= 0.14.0),
                publicsuffix (>= 20230804.1533),
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
 Homepage: https://golang.org/x/net
@@ -27,9 +26,9 @@
 Architecture: all
 Multi-Arch: foreign
 Built-Using: ${my:Built-Using}
-Depends: golang-golang-x-crypto-dev (>= 0.19.0),
-         golang-golang-x-sys-dev (>= 0.17.0),
-         golang-golang-x-term-dev (>= 0.17.0),
+Depends: golang-golang-x-crypto-dev (>= 0.22.0),
+         golang-golang-x-sys-dev (>= 0.19.0),
+         golang-golang-x-term-dev (>= 0.19.0),
          golang-golang-x-text-dev (>= 0.14.0),
          ${misc:Depends}
 Description: Supplementary Go networking libraries

## golang-golang-x-net 0.24.0+dfsg

=== debian/changelog ===
golang-golang-x-net (1:0.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.24.0+dfsg
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 03:23:13 -0600

golang-golang-x-net (1:0.23.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.23.0+dfsg
    + CVE-2023-45288: http2: close connections when receiving too many headers

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Apr 2024 04:38:02 +0800

golang-golang-x-net (1:0.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.22.0+dfsg
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 24 Mar 2024 18:00:05 -0600
